import pickle
import sys

# načtení získaného slovníku trojic
# ~ je to binární soubor => nedochází k žádné interpretaci pomocí kódování
with open('informace.pickle', mode='br') as soubor:
    hustoty = pickle.load(soubor)

# žádné vstupní parametry
if len(sys.argv) == 1:
    sys.exit('Nezadali jste žádný požadavek => končím...')
else:
    číslo = int(sys.argv[1])

print(f'Pracuji s parametrem: {číslo}')

'''
> python 03.py
Nezadali jste žádný požadavek => končím...

> python 03.py 3
Pracuji s parametrem: 3

> python 03.py a
Traceback (most recent call last):
  File "3 parametry cmd\03.py", line 13, in <module>
    číslo = int(sys.argv[1])
            ^^^^^^^^^^^^^^^^
ValueError: invalid literal for int() with base 10: 'a'
'''
